> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# QueryMarketplaceOfferFailure

> Delivers a queryable list of offer failures for the given offer. Deprecated: use "GET /v2/scx/offers/{offerId}/errors" or "QueryScxOfferErrors" instead, which require the "scxoffers.read" scope.



**query** `QueryMarketplaceOfferFailure(offerId: ID!, first: Int, after: String, last: Int, before: String, order: [MarketplaceOfferFailureListItemSortInput!]): QueryMarketplaceOfferFailureConnection`

> Deprecated: This endpoint is deprecated.

## Arguments

**`offerId`**: `ID!` (required)

---

**`first`**: `Int`

Returns the first _n_ elements from the list.

---

**`after`**: `String`

Returns the elements in the list that come after the specified cursor.

---

**`last`**: `Int`

Returns the last _n_ elements from the list.

---

**`before`**: `String`

Returns the elements in the list that come before the specified cursor.

---

**`order`**: `[MarketplaceOfferFailureListItemSortInput!]`

## Returns

`QueryMarketplaceOfferFailureConnection`

**`pageInfo`**: `PageInfo!`

Information to aid in pagination.

---

**`edges`**: `[QueryMarketplaceOfferFailureEdge!]`

A list of edges.

---

**`nodes`**: `[MarketplaceOfferFailureListItem!]`

A flattened list of the nodes.

---

**`totalCount`**: `Int!`

Identifies the total count of items in the connection.

## Examples

```graphql Query
query QueryMarketplaceOfferFailure($offerId: ID!) {
  QueryMarketplaceOfferFailure(offerId: $offerId) {
    pageInfo {
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
    edges {
      cursor
      node {
        id
        offerId
        code
        message
        longMessage
        createdAt
      }
    }
    nodes {
      id
      offerId
      code
      message
      longMessage
      createdAt
    }
    totalCount
  }
}
```

```json Variables
{
  "offerId": "id"
}
```

```json Response
{
  "data": {
    "QueryMarketplaceOfferFailure": {
      "pageInfo": {
        "hasNextPage": true,
        "hasPreviousPage": true,
        "startCursor": "string",
        "endCursor": "string"
      },
      "edges": [
        {
          "cursor": "string",
          "node": {
            "id": "id",
            "offerId": "id",
            "code": "string",
            "message": "string",
            "longMessage": "string",
            "createdAt": "value"
          }
        }
      ],
      "nodes": [
        {
          "id": "id",
          "offerId": "id",
          "code": "string",
          "message": "string",
          "longMessage": "string",
          "createdAt": "value"
        }
      ],
      "totalCount": 1
    }
  }
}
```
